/*:
 # Learn Core Graphics

 * Created by [Paul Hudson](https://twitter.com/twostraws) – [Hacking with Swift](https://www.hackingwithswift.com)

 This playground is designed to introduce you to a wide variety of Core Graphics concepts in a hands-on way.

 If you hit problems or have questions, you're welcome to tweet me [@twostraws](https://twitter.com/twostraws) or send me an email at <paul@hackingwithswift.com>.

 - important: This playground requires you to see the output of your code using the playground live view. To see the live view, please activate your assistant editor now. To help you get your code right, you'll often see faint versions of the solution being drawn behind your own image – this is just there as a guide, and you can click "Clear Drawing" to see it in full.

 &nbsp;

 - note: If the top of your assistant editor says "Manual" you might find you see no output. For best reults it should say "Live View". Xcode often likes to switch to Manual all by itself, so please watch out for it!

 &nbsp;

 ## Drawing shapes

 * [Rectangles](Rectangles)
 * [Stripes](Stripes)
 * [Flags](Flags)
 * [Checkerboards](Checkerboards)
 * [Ellipses](Ellipses)
 * [Flowers](Flowers)
 * [Strokes](Strokes)
 * [Rainbows](Rainbows)
 * [Emoji](Emoji)

&nbsp;

 ## Advanced drawing

 * [Text](Text)
 * [Lines](Lines)
 * [Images](Images)
 * [Translation](Translation)
 * [Rotation](Rotation)
 * [Blending](Blending)

&nbsp;

 ## Sandbox
 * [Sandbox](Sandbox)

 &nbsp;
 
 [Next >](@next)
 */
